Bug 748182 - regression from f15: brightness control on Samsung n210 (Atom N450)
regression from f15: brightness control on Samsung n210 (Atom N450)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-22 16:09 EDT by Yann Droneaud
Modified: 2011-11-28 21:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-28 21:24:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Little video to demonstrate the brightness setting problem (554.70 KB, video/ogg)
2011-10-22 16:10 EDT, Yann Droneaud
no flags Details

  None (edit)
Description Yann Droneaud 2011-10-22 16:09:12 EDT
After booting Fedora-16-TC-x86_64-Live-Desktop, I have tried the brightness control using keyboard shortcut.

I can set brightness down only to the "lower" level of brightness.
When setting brightness up, I can set it to "a little higher than lower", then "high" lever.

On Fedora F15 with updated kernel, I was able to choose brighness level, step by step.
Comment 1 Yann Droneaud 2011-10-22 16:10:57 EDT
Created attachment 529637 [details]
Little video to demonstrate the brightness setting problem
Comment 2 Yann Droneaud 2011-10-24 13:34:31 EDT
After looking at bug #745977 I have found the different brightness values reported by kernel

At high level (default)

    8 /sys/devices/platform/samsung/backlight/samsung/actual_brightness 
12421 /sys/devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight/actual_brightness
    7 /sys/devices/pci0000:00/0000:00:02.0/backlight/acpi_video0/actual_brightness


When lowering the brightness

    0 /sys/devices/platform/samsung/backlight/samsung/actual_brightness 
12421 /sys/devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight/actual_brightness
    7 /sys/devices/pci0000:00/0000:00:02.0/backlight/acpi_video0/actual_brightness

When increasing the brightness

    1 /sys/devices/platform/samsung/backlight/samsung/actual_brightness 
12421 /sys/devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight/actual_brightness
    7 /sys/devices/pci0000:00/0000:00:02.0/backlight/acpi_video0/actual_brightness

After increasing the brightness

    8 /sys/devices/platform/samsung/backlight/samsung/actual_brightness 
12421 /sys/devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight/actual_brightness
    7 /sys/devices/pci0000:00/0000:00:02.0/backlight/acpi_video0/actual_brightness


I have later found some information in bug 737108 comment 2
https://bugzilla.redhat.com/show_bug.cgi?id=737108#c2

https://lkml.org/lkml/2011/4/20/1
https://lkml.org/lkml/2011/5/11/548

So this seems to be a kernel bug
Comment 3 Josh Boyer 2011-11-02 12:15:37 EDT
There are a number of fixes in the latest rawhide kernel in this area.  Would you be willing to install that and let us know if the issue is resolved?

Note You need to log in before you can comment on or make changes to this bug.